package gitea

import (
	"time"

	"github.com/valyala/fasthttp"
)

func getFastHTTPClient(timeout time.Duration) *fasthttp.Client {
	return &fasthttp.Client{
		ReadTimeout:        timeout,
		MaxConnDuration:    60 * time.Second,
		MaxConnWaitTimeout: 1000 * time.Millisecond,
		MaxConnsPerHost:    128 * 16, // TODO: adjust bottlenecks for best performance with Gitea!
	}
}
